import Vue from 'vue'
import './plugins/axios'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import axios from 'axios'

import {ApiClient} from "../src/grpc/base_grpc_web_pb";

Vue.config.productionTip = false;
import VCharts from 'v-charts'
Vue.use(VCharts);
Vue.use(ElementUI);

let headBpi = 'http://cal.beswell.com:85/';
if (process.env.NODE_ENV === 'development') {
    // 显示控制台
    // let vConsole = new VConsole();
    // 演示版本数据
    require('./Mock/index.js');
    headBpi = '/bpi/';
} else {
    // let vConsole = new VConsole();
    headBpi = 'http://cal.beswell.com:85/';
}

// 演示版本数据
// require('./Mock/index.js');

// 建立grpc连接服务
let client = new ApiClient("http://192.168.0.3:20014", null, null);
// 挂载为全局方法
Vue.prototype.client = client;


new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app');

